apiVersion: apps/v1
kind: Deployment
metadata:
  name: navix-backend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: navix-backend
  template:
    metadata:
      labels:
        app: navix-backend
    spec:
      containers:
        - name: backend
          image: "{{ .Values.backend.image.repository }}:{{ .Values.backend.tag }}"
          imagePullPolicy: {{ .Values.backend.image.pullPolicy }}
          ports:
            - containerPort: 8000
          env:
            - name: MINIO_ACCESS_KEY
              value: "{{ .Values.backend.env.MINIO_ACCESS_KEY }}"
            - name: MINIO_SECRET_KEY
              value: "{{ .Values.backend.env.MINIO_SECRET_KEY }}"
            - name: MINIO_ENDPOINT
              value: "{{ .Values.backend.env.MINIO_ENDPOINT }}"
            - name: MINIO_BUCKET
              value: "{{ .Values.backend.env.MINIO_BUCKET }}"